EBS Pre-Upgrade Running checkMTpatch.sh Script Generates Unable To Read s_file_edition_type (Doc ID 2271077.1)

Last updated on JUNE 01, 2017

Applies to:

Oracle E-Business Suite Diagnostics - Version 12.0.0 to 12.2.6 [Release 12 to 12.2]
Information in this document applies to any platform.

Symptoms

On : 12.1.3 version, Test instance

Before Upgrading to 12.2, when attempting to run ETCC code checker in Apps node for middle tier patches the following error occurs.

ERROR
-----------------------
Using context file from currently set applications environment:
/apps02/appltst/OTST/inst/apps/OTST_ulcakofapt1v/appl/admin/OTST_ulcakofapt1v.xml
Unable to read the value of s_file_edition_type from the context file
Verify location and rerun this script


The issue can be reproduced at will with the following steps:

1. Download a Middle Tier Patch, for example, 17537119 from My Oracle Support.

2. Run the command:
  $ ./checkMTpatch.sh

Due to this issue, users cannot complete the analysis for missing bug fixes on middle tier impacting the upgrade timelines.

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms